summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorselias <samelias@cisco.com>2017-06-06 12:57:29 +0200
committerselias <samelias@cisco.com>2017-06-06 14:28:02 +0200
commitfdd0e07eff1b3717266f047c85a29a6c21c55ca5 (patch)
tree5296be5c9db45652be72957861e40e9b9c0091dc /jjb
parent97ca62b8792ef55455ffc1af804333fbbe3d44e2 (diff)
Add CSIT verify jobs for Honeycomb tests
Add jobs that verify changes to CSIT code that tests Honeycomb/hc2vpp. Rename jjb/hc2vpp/csit-hc2vpp.yaml to jjb/hc2vpp/hc2vpp-csit.yaml ,to adhere to naming conventions and avoid duplicate filenames. Honeycomb jobs after patch: csit-hc2vpp-verify-* - verify CSIT commits hc2vpp-csit-verify-* - verify HC2VPP commits hc2vpp-csit-integration-* - check integration on VPP or HC2VPP merge Change-Id: Ib4be7f3c1482cf6c9d1ac8147e18d8d94832bbe0 Signed-off-by: selias <samelias@cisco.com>
Diffstat (limited to 'jjb')
-rw-r--r--jjb/csit/csit-hc2vpp.yaml130
-rw-r--r--jjb/csit/include-raw-csit-hc2vpp-verify-func.sh19
-rw-r--r--jjb/csit/include-raw-csit-hc2vpp-verify-perf.sh19
-rw-r--r--jjb/hc2vpp/hc2vpp-csit.yaml (renamed from jjb/hc2vpp/csit-hc2vpp.yaml)2
-rw-r--r--jjb/hc2vpp/include-raw-hc2vpp-csit-perf.sh2
5 files changed, 170 insertions, 2 deletions
diff --git a/jjb/csit/csit-hc2vpp.yaml b/jjb/csit/csit-hc2vpp.yaml
new file mode 100644
index 000000000..f86dc35bc
--- /dev/null
+++ b/jjb/csit/csit-hc2vpp.yaml
@@ -0,0 +1,130 @@
+- project:
+ name: csit-hc2vpp
+ description: 'jenkins jobs to verify Hc2vpp functional and performance tests.'
+ jobs:
+ - 'csit-hc2vpp-verify-func'
+ - 'csit-hc2vpp-verify-perf'
+ project: 'csit'
+ branch: 'master'
+ build-artifact-num-to-keep: 10
+
+ os:
+ - ubuntu1604:
+ repo-os-part: 'ubuntu.xenial.main'
+
+- job-template:
+ name: 'csit-hc2vpp-verify-func'
+
+ project-type: freestyle
+ node: '{os}-basebuild-4c-4g'
+ concurrent: true
+
+ logrotate:
+ daysToKeep: '{build-days-to-keep}'
+ numToKeep: '{build-num-to-keep}'
+ artifactDaysToKeep: '{build-artifact-days-to-keep}'
+ artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+ parameters:
+ - project-parameter:
+ project: '{project}'
+ - os-parameter:
+ os: '{os}'
+ - stream-parameter:
+ stream: 'master'
+
+ scm:
+ - gerrit-trigger-scm:
+ credentials-id: 'jenkins-gerrit-credentials'
+ refspec: '$GERRIT_REFSPEC'
+ choosing-strategy: 'gerrit'
+
+ wrappers:
+ - fdio-infra-wrappers:
+ build-timeout: '{build-timeout}'
+
+ triggers:
+ - gerrit:
+ server-name: 'Primary'
+ trigger-on:
+ - comment-added-contains-event:
+ comment-contains-value: 'verify-hc2vpp-func'
+ projects:
+ - project-compare-type: 'ANT'
+ project-pattern: '{project}'
+ branches:
+ - branch-compare-type: 'ANT'
+ branch-pattern: '**/{branch}'
+
+ builders:
+ - shell:
+ !include-raw-escape: include-raw-csit-hc2vpp-verify-func.sh
+
+ publishers:
+ - archive-artifacts:
+ artifacts: 'csit/report.html, csit/log.html, csit/output.xml, csit/honeycomb.log'
+ latest-only: false
+ - email-notification:
+ email-prefix: '[csit]'
+ - robot-report:
+ output-path: 'csit'
+
+- job-template:
+ name: 'csit-hc2vpp-verify-perf'
+
+ project-type: freestyle
+ node: '{os}-basebuild-4c-4g'
+ concurrent: false
+
+ logrotate:
+ daysToKeep: '{build-days-to-keep}'
+ numToKeep: '{build-num-to-keep}'
+ artifactDaysToKeep: '{build-artifact-days-to-keep}'
+ artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+ parameters:
+ - project-parameter:
+ project: '{project}'
+ - os-parameter:
+ os: '{os}'
+ - stream-parameter:
+ stream: 'master'
+
+ scm:
+ - gerrit-trigger-scm:
+ credentials-id: 'jenkins-gerrit-credentials'
+ refspec: '$GERRIT_REFSPEC'
+ choosing-strategy: 'gerrit'
+
+ wrappers:
+ - fdio-infra-wrappers:
+ build-timeout: '{build-timeout}'
+
+ triggers:
+ - gerrit:
+ server-name: 'Primary'
+ trigger-on:
+ - comment-added-contains-event:
+ comment-contains-value: 'verify-hc2vpp-perf'
+
+ projects:
+ - project-compare-type: 'ANT'
+ project-pattern: '{project}'
+ branches:
+ - branch-compare-type: 'ANT'
+ branch-pattern: '**/{branch}'
+
+ builders:
+ - shell:
+ !include-raw-escape: include-raw-csit-hc2vpp-verify-perf.sh
+
+ publishers:
+ - archive-artifacts:
+ artifacts: 'csit/archive/*.*'
+ latest-only: false
+
+ - robot-report:
+ output-path: 'csit/archive'
+
+ - fdio-infra-shiplogs:
+ maven-version: 'mvn33-new'
diff --git a/jjb/csit/include-raw-csit-hc2vpp-verify-func.sh b/jjb/csit/include-raw-csit-hc2vpp-verify-func.sh
new file mode 100644
index 000000000..d81c09c9b
--- /dev/null
+++ b/jjb/csit/include-raw-csit-hc2vpp-verify-func.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+# execute csit bootstrap script if it exists
+if [ ! -e bootstrap-hc2vpp-integration.sh ]
+then
+ echo 'ERROR: No bootstrap-hc2vpp-integration.sh found'
+ exit 1
+else
+ # make sure that bootstrap.sh is executable
+ chmod +x bootstrap-hc2vpp-integration.sh
+ # run the script
+ if [ ${STREAM} == 'master' ]; then
+ ./bootstrap-hc2vpp-integration.sh ${STREAM} ${OS}
+ else
+ ./bootstrap-hc2vpp-integration.sh 'stable.'${STREAM} ${OS}
+ fi
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-hc2vpp-verify-perf.sh b/jjb/csit/include-raw-csit-hc2vpp-verify-perf.sh
new file mode 100644
index 000000000..d9a5fb1f4
--- /dev/null
+++ b/jjb/csit/include-raw-csit-hc2vpp-verify-perf.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+# execute csit bootstrap script if it exists
+if [ ! -e bootstrap-hc2vpp-perf.sh ]
+then
+ echo 'ERROR: No bootstrap-hc2vpp-perf.sh found'
+ exit 1
+else
+ # make sure that bootstrap.sh is executable
+ chmod +x bootstrap-hc2vpp-perf.sh
+ # run the script
+ if [ ${STREAM} == 'master' ]; then
+ ./bootstrap-hc2vpp-perf.sh ${STREAM} ${OS}
+ else
+ ./bootstrap-hc2vpp-perf.sh 'stable.'${STREAM} ${OS}
+ fi
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/hc2vpp/csit-hc2vpp.yaml b/jjb/hc2vpp/hc2vpp-csit.yaml
index cd619f667..de63b7099 100644
--- a/jjb/hc2vpp/csit-hc2vpp.yaml
+++ b/jjb/hc2vpp/hc2vpp-csit.yaml
@@ -1,5 +1,5 @@
- project:
- name: csit-hc2vpp
+ name: hc2vpp-csit
description: 'jenkins jobs to test Hc2vpp features.'
jobs:
- 'hc2vpp-csit-integration-{stream}-{os}'
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-csit-perf.sh b/jjb/hc2vpp/include-raw-hc2vpp-csit-perf.sh
index 674d13bbc..266c9ede2 100644
--- a/jjb/hc2vpp/include-raw-hc2vpp-csit-perf.sh
+++ b/jjb/hc2vpp/include-raw-hc2vpp-csit-perf.sh
@@ -22,7 +22,7 @@ cd csit
# execute csit bootstrap script if it exists
if [ ! -e bootstrap-hc2vpp-perf.sh ]
then
- echo 'ERROR: No bootstrap-hc2vpp-integration.sh found'
+ echo 'ERROR: No bootstrap-hc2vpp-perf.sh found'
exit 1
else
# make sure that bootstrap.sh is executable